aboutsummaryrefslogtreecommitdiffstats
path: root/testing/qt-creator/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-07-09 17:50:44 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-07-09 17:50:44 +0000
commit8d7276ceeb6636a733d64c6efe005f1c9102092c (patch)
tree1f649977e5950b407c56e6ca916ed523a83a8384 /testing/qt-creator/APKBUILD
parentd09efed349abd09ba6f78f64d8ec1b639df58ebc (diff)
downloadaports-8d7276ceeb6636a733d64c6efe005f1c9102092c.tar.gz
aports-8d7276ceeb6636a733d64c6efe005f1c9102092c.tar.bz2
aports-8d7276ceeb6636a733d64c6efe005f1c9102092c.tar.xz
testing/qt-creator: new aport
Lightweight and cross-platform IDE for Qt http://developer.qt.nokia.com/wiki/Category:Tools::QtCreator
Diffstat (limited to 'testing/qt-creator/APKBUILD')
-rw-r--r--testing/qt-creator/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/testing/qt-creator/APKBUILD b/testing/qt-creator/APKBUILD
new file mode 100644
index 0000000000..74d4dd8a31
--- /dev/null
+++ b/testing/qt-creator/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=qt-creator
+pkgver=2.5.0
+pkgrel=0
+pkgdesc="Lightweight and cross-platform IDE for Qt"
+url="http://developer.qt.nokia.com/wiki/Category:Tools::QtCreator"
+arch="all"
+license="LGPLv2 with exceptions"
+depends=""
+depends_dev=""
+makedepends="$depends_dev qt-dev"
+install=""
+subpackages=""
+source="http://get.qt.nokia.com/qtcreator/qt-creator-$pkgver-src.tar.gz
+ qtcreator.desktop"
+
+_builddir="$srcdir"/qt-creator-$pkgver-src
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ qmake -r IDE_LIBRARY_BASENAME=/usr/lib || return 1
+ make CXX="${CXX:-g++}"
+}
+
+package() {
+ cd "$_builddir"
+ make install INSTALL_ROOT="$pkgdir"/usr || return 1
+ install -Dm 644 "$srcdir"/qtcreator.desktop \
+ "$pkgdir"/usr/share/applications/qtcreator.desktop
+}
+
+md5sums="31e26cdd1e3eeb8c406382ebe886dcc5 qt-creator-2.5.0-src.tar.gz
+f8b1f18e8d62cd4734bb676a97cee1dc qtcreator.desktop"